Bug 16938 - WindowMaker hangs computer
WindowMaker hangs computer
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-08-25 10:00 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-30 07:47:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pinstripe install.log (8.75 KB, text/plain)
2000-08-28 04:01 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-08-25 10:00:12 EDT
WindowMaker appear to run ok when used with Gnome (although it crashes if i
choose 'Exit' from the WindowMaker root menu instead of the gnome 'Logout'
But I can't make it run without gnome. If i do 'swichdesk windowmaker' and
'rm -rf ~/GNUStep', it runs, but if i customize it (add some appicons,
workspaces etc...) it doesn't run any more, and it even crashes my computer
when i lauch X (black screen, ctrl-alt-bkspace doesn't work..). 

I've tried also with the latest rawhide releases
(WindowMaker-0.62.1-14.i386, WindowMaker-libs-0.62.1-14 and
libPropList-0.10.1-6), but it is the same problem.
With the tar.gz of WM 0.62.1 (not tuned, just ./configure && make install),
it always crash the computer.
Comment 1 Crutcher Dunnavant 2000-08-27 16:22:34 EDT
This sounds like you've got some seriously messed up libraries.

Please tell me:
What version of Red Hat Linux is installed on your machine?
Did you upgrade it from a previous version?
What version of glibc do you have?
What version of gcc do you have?
Comment 2 Need Real Name 2000-08-28 04:01:40 EDT
Created attachment 3059 [details]
pinstripe install.log
Comment 3 Need Real Name 2000-08-28 04:04:31 EDT
I did a full install of pinstripe (RH7.0beta), not an upgrade so my libraires
are the ones provided by pinstripe. I've just joined my install.log (i selected
packages by hand, maybe i forgot one..)
Comment 4 Crutcher Dunnavant 2000-08-28 23:35:06 EDT
what archetecture are you using?

It wont run without Gnome? This is just wierd.
Comment 5 Need Real Name 2000-08-30 07:47:44 EDT
i'm running it on an intel PII, with a S3virge graphics card, 1280x1024x16bpp

i think the install did not set up X correctly: doing a rpm -qa | grep -i xfree,
i see:
(i choosed ftp install, custom package selection, did not select any xserver,
accepted when install found that the svga server would be ok)

but this is not the problem: i removed the 3.3.6 svga xserver, resintalled the
other Xfree4.0.1 packages, and the computer still have problems:
- with the pinstripe RPMs, i can run WindowMaker (without gnome) as long as i do
not enable the Clip (in GNUStep/Default/WindowMaker ->DisableClip set to NO). If
i enable the clip, the computer crashes and i have to reboot.
- if i compile the sources, wmaker always gets a signal 11, even if the clip is
disabled, with the following stack:
(gdb) where
#0  0x0 in ?? ()
#1  0x4012c312 in _XReply () from /usr/X11R6/lib/libX11.so.6
#2  0x4012798a in XSync () from /usr/X11R6/lib/libX11.so.6
#3  0x400221c0 in image2TrueColor (ctx=0x80c9630, image=0x80c9d48)
    at convert.c:327
#4  0x40023214 in RConvertImage (context=0x80c9630, image=0x80c9d48, 
    pixmap=0xbffff0ac) at convert.c:861
#5  0x400233ed in RConvertImageMask (context=0x80c9630, image=0x80c9d48, 
    pixmap=0xbffff0ac, mask=0xbffff0b0, threshold=128) at convert.c:936
#6  0x8094732 in WMCreatePixmapFromRImage (scrPtr=0x80c9758, image=0x80c9d48, 
    threshold=128) at wpixmap.c:110
#7  0x8090faa in loadPixmaps (scr=0x80c9758) at widgets.c:421
#8  0x80918c6 in WMCreateScreenWithRContext (display=0x80c8358, screen=0, 
    context=0x80c9630) at widgets.c:739
#9  0x80913e4 in WMCreateScreen (display=0x80c8358, screen=0) at widgets.c:538
#10 0x80598f6 in wShowCrashingDialogPanel (whatSig=11) at dialog.c:1513
#11 0x807b399 in handleSig (sig=11) at startup.c:324
#12 <signal handler called>
#13 0x40018618 in ?? ()
#14 0xa850 in ?? ()
Cannot access memory at address 0x56e

i've also recently submitted a strange bug in `rev` (
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=17031 ) . Maybe there are
related to the same problem ?

Comment 6 Crutcher Dunnavant 2000-09-18 17:05:21 EDT
What ever is causing your problems, No one else sees them.

Note You need to log in before you can comment on or make changes to this bug.